name='revolt-desktop-git'
version='1.0.7.r13.g2373e7d'
release='1'
epoch='1'
desc='Open source user-first chat platform.'
homepage='https://revolt.chat'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='AGPL3'
provides=('revolt-desktop-git' 'revolt-desktop')
conflicts=('revolt-desktop-git' 'revolt-desktop')

deps=('electron-bin')

sources=(
	""git+https://github.com/revoltchat/desktop.git""
)

checksums=(
	'SKIP'
)

version() {
	cd "$srcdir/desktop"
	git-version
}

build() {
	cd "$srcdir/desktop"

    electronDist=/usr/lib/electron
    electronVer=$(${electronDist}/electron --version | tail -c +2)

    sed -i '/		"electron": /d' ./package.json
    HOME="$srcdir/.electron-gyp" npm install --cache "${srcdir}/npm-cache"
	npm install electron-builder@latest --save-dev

	npm run build:bundle

    ./node_modules/.bin/electron-builder -l dir -c.electronDist=$electronDist -c.electronVersion=$electronVer
}

package() {
	cd "$srcdir/desktop/"

    install -dm755 "${pkgdir}/usr/lib/${name%-git}"
    cp -dr --no-preserve=ownership dist/linux-unpacked/resources/* "${pkgdir}/usr/lib/${name%-git}/"

    install -Dm644 build/icons/icon.png "$pkgdir/usr/share/pixmaps/${name%-git}.png"

    install -dm755 "${pkgdir}/usr/bin" "revolt-desktop"

    install -Dm755 ${scriptdir}/revolt-desktop.sh ${pkgdir}/usr/bin/revolt-desktop
    install -Dm644 "revolt-desktop.desktop" -t "$pkgdir/usr/share/applications"
}
